Bug 1403839 - [RFE] Add ability to remove a single LUN from a data domain
Summary: [RFE] Add ability to remove a single LUN from a data domain
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ovirt-4.1.1
: 4.1.1.3
Assignee: Liron Aravot
QA Contact: Lilach Zitnitski
URL:
Whiteboard:
Depends On: 1374545 1403836
Blocks: 633978 1429746 1454287
TreeView+ depends on / blocked
 
Reported: 2016-12-12 13:09 UTC by Tal Nisan
Modified: 2018-02-15 15:05 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
With this update, the ability to remove LUNs from a block data domain has been added. This means that LUNs can be removed from a block data domain provided that there is enough free space on the other domain devices to contain the data stored on the LUNs being removed.
Clone Of:
: 1454287 (view as bug list)
Environment:
Last Closed: 2017-04-21 09:53:47 UTC
oVirt Team: Storage
rule-engine: ovirt-4.1+
ratamir: testing_plan_complete+
ylavi: planning_ack+
tnisan: devel_ack+
ratamir: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 62791 0 master MERGED vdsbroker: introducing MoveStorageDomainDeviceVDSCommand 2020-06-15 09:54:03 UTC
oVirt gerrit 62792 0 master MERGED core: Introducing MoveStorageDomainDeviceCommand 2020-06-15 09:54:03 UTC
oVirt gerrit 62793 0 master MERGED core: adding RemoveDeviceFromSANStorageDomainCommand 2020-06-15 09:54:03 UTC
oVirt gerrit 63098 0 master MERGED vdsbroker: HSMGetStorageDomainInfo - return the domain metadata devices 2020-06-15 09:54:03 UTC
oVirt gerrit 63099 0 master MERGED core: AddSANStorageDomainCommand - update the domain metadata device 2020-06-15 09:54:02 UTC
oVirt gerrit 63100 0 master MERGED vdsbroker: adding ReduceStorageDomainVDSCommand 2020-06-15 09:54:02 UTC
oVirt gerrit 63101 0 master MERGED core: Introducing ReduceStorageDomainDeviceCommand 2020-06-15 09:54:02 UTC
oVirt gerrit 63981 0 master MERGED core: AddExistingBlockStorageDomain - complete the metadata devices info 2020-06-15 09:54:02 UTC
oVirt gerrit 67895 0 master MERGED core: adding the ReduceDeviceFromStorageDomain config value 2020-06-15 09:54:01 UTC
oVirt gerrit 67896 0 master MERGED core: StorageJob - adding support to inspect the job error code 2020-06-15 09:54:00 UTC
oVirt gerrit 67897 0 master MERGED core: introducing ReduceSANStorageDomainDevicesCommand 2020-06-15 09:54:00 UTC
oVirt gerrit 67898 0 master MERGED api: adding support to reduce luns from domain 2020-06-15 09:54:00 UTC
oVirt gerrit 72665 0 master MERGED lvm: enabling movePV() 2020-06-15 09:54:00 UTC
oVirt gerrit 72978 0 ovirt-4.1 MERGED lvm: enabling movePV() 2020-06-15 09:54:01 UTC

Description Tal Nisan 2016-12-12 13:09:55 UTC
Description of problem:
Add the ability to remove LUN(s) from an existing storage domain

Comment 1 Liron Aravot 2016-12-28 07:27:53 UTC
Allon/Tal, this feature was completely merged but its currently disabled until the issue described in 1403836 will be solved.
How do we want to mark it in bugzilla?

Comment 2 Liron Aravot 2016-12-29 09:54:31 UTC
After talk with ydary, marking as BLOCKED till the lvmetad issue this bug depends on will be solved either by us (disabling lvmetad) or in lvm.

Comment 3 Tal Nisan 2017-01-12 13:23:40 UTC
Liron, please fill out a doc text.
As for the other question, I've asked the QE guys to verify this feature with manually disabling lvmetad so they are not blocked on this bug for now

Comment 4 Lilach Zitnitski 2017-03-09 09:00:43 UTC
--------------------------------------
Tested with the following code:
----------------------------------------
rhevm-4.1.1.3-0.1.el7.noarch
vdsm-4.19.7-1.el7ev.x86_64

Tested with the following scenario:

Steps to Reproduce:
1. move the storage domain to maintenance 
2. using REST API reduce the lun using it's lun id
3. activate the storage domain

Actual results:
storage domain is reduced and the total space is updated

Expected results:

Moving to VERIFIED!


Note You need to log in before you can comment on or make changes to this bug.